Bug 240577 - CVE-2007-2754 freetype integer overflow
Summary: CVE-2007-2754 freetype integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard: impact=moderate,source=redhat,reporte...
Keywords:
Depends On:
Blocks: CVE-2007-2754
TreeView+ depends on / blocked
 
Reported: 2007-05-18 15:14 UTC by Josh Bressers
Modified: 2007-12-19 10:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 10:36:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2007-05-18 15:14:00 UTC
This is the tracking bug for FC5 and FC6, please see the blocks list

+++ This bug was initially created as a clone of Bug #240200 +++

Victor Stinner discovered an integer overflow bug in the way freetype processed
malformed TTF fonts:
http://lists.gnu.org/archive/html/freetype-devel/2007-04/msg00041.html

The patch can be found here:
http://cvs.savannah.nongnu.org/viewvc/freetype2/src/truetype/ttgload.c?root=freetype&r1=1.177&r2=1.178

It appears that this flaw will result in a heap overflow condition:

    flag_limit = flag + n_points;
...
    while ( flag < flag_limit )
    {
...
      *flag++ = c = FT_NEXT_BYTE( p );

Comment 1 Behdad Esfahbod 2007-05-29 20:38:23 UTC
Built freetype-2.2.1-17.fc6

Comment 2 Alexei Podtelezhnikov 2007-06-01 15:50:33 UTC
why not 2.3.4??? Do not retard Fedora!!!

Comment 3 Behdad Esfahbod 2007-06-01 19:24:01 UTC
No thanks.  Every single freetype release since 2.2 have had its own very, very,
noisy surprises.  I'm sick of it and not going to update FC6's version of freetype.


Note You need to log in before you can comment on or make changes to this bug.